package com.mosty.wzzx.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.mosty.base.model.entity.wzzx.TbWzSswz;
import io.swagger.annotations.ApiOperation;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 位置-实时位置表（只存7天数据） Mapper 接口
 * </p>
 *
 * @author zengbo
 * @since 2022-08-29
 */
@Mapper
public interface TbWzSswzMapper extends BaseMapper<TbWzSswz> {

    @ApiOperation("添加实时位置表")
    int insertEntity(TbWzSswz tbWzSswz);

    @ApiOperation("根据ID查询实时位置")
    TbWzSswz queryById(@Param("id") String id);

    @ApiOperation("查询用户最新的位置")
    TbWzSswz querySswzNow(@Param("yhId") String yhId, @Param("jrbh") String jrbh);

    @ApiOperation("查询当日的实时位置")
    List<TbWzSswz> querySswzToday(@Param("yhId") String yhId, @Param("jrbh") String jrbh);

    @ApiOperation("查询当日的用户ID")
    List<String> querySswzYhid();

    @ApiOperation("删除7日前的实时位置")
    Integer delHistory();

}
